/*
 * Class CHAIN [NATURAL_8]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_735 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_735 [] = {0xFF01,237,734,197,0xFFFF};
static const EIF_TYPE_INDEX egt_2_735 [] = {0xFF01,734,197,0xFFFF};
static const EIF_TYPE_INDEX egt_3_735 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_735 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_735 [] = {0xFF01,734,197,0xFFFF};
static const EIF_TYPE_INDEX egt_6_735 [] = {0xFF01,734,197,0xFFFF};
static const EIF_TYPE_INDEX egt_7_735 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_735 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_735 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_735 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_735 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_735 [] = {734,197,0xFFFF};
static const EIF_TYPE_INDEX egt_13_735 [] = {0xFF01,734,197,0xFFFF};
static const EIF_TYPE_INDEX egt_14_735 [] = {0xFF01,719,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_735 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_735 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_735 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_735 [] = {0xFF01,711,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_735 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_20_735 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_735 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_22_735 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_23_735 [] = {0xFF01,734,197,0xFFFF};
static const EIF_TYPE_INDEX egt_24_735 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_25_735 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_26_735 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_27_735 [] = {0xFF01,148,0xFFFF};
static const EIF_TYPE_INDEX egt_28_735 [] = {0xFF01,141,0xFFFF};


static const struct desc_info desc_735[] = {
	{EIF_GENERIC(NULL), 4477, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_735), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_735), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_735), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_735), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_735), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_735), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_735), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_735), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_735), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_735), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_735), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_735), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_735), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_735), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4480, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2041, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1910, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1911, 0},
	{EIF_NON_GENERIC(0x017F /*191*/), 1912, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1913, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1914, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_735), 2440, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_735), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_735), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2589, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2590, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2011, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4476, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 4481, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2492, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 4484, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_735), 2433, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2434, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4487, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1959, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2586, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4474, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2587, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2588, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_735), 3380, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_735), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_735), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4469, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4486, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2436, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2437, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2438, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2439, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2431, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2584, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4473, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_735), 4478, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_735), 4479, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4488, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4489, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4491, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4492, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4470, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4471, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4475, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_735), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2430, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2429, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2432, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2432, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_735), 4482, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_735), 4483, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4490, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4472, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4472, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_26_735), 4482, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_735), 4485, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4490, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 4484, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_735), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
};
void Init735(void)
{
	IDSC(desc_735, 0, 734);
	IDSC(desc_735 + 1, 1, 734);
	IDSC(desc_735 + 32, 77, 734);
	IDSC(desc_735 + 41, 243, 734);
	IDSC(desc_735 + 47, 155, 734);
	IDSC(desc_735 + 56, 282, 734);
	IDSC(desc_735 + 65, 99, 734);
	IDSC(desc_735 + 67, 30, 734);
	IDSC(desc_735 + 74, 294, 734);
	IDSC(desc_735 + 77, 237, 734);
	IDSC(desc_735 + 79, 329, 734);
	IDSC(desc_735 + 93, 187, 734);
	IDSC(desc_735 + 99, 256, 734);
	IDSC(desc_735 + 102, 229, 734);
	IDSC(desc_735 + 103, 184, 734);
	IDSC(desc_735 + 106, 50, 734);
	IDSC(desc_735 + 107, 35, 734);
	IDSC(desc_735 + 108, 172, 734);
}


#ifdef __cplusplus
}
#endif
